### Enumeration

# AppStreamCompose CanvasError

#### Declaration

    error-domain AppStreamCompose.CanvasError

#### Description [src]

A drawing error.

#### Members

`ASC_CANVAS_ERROR_FAILED`

  Generic failure.

  - Value: `0`
  - Available since: 1.0
`ASC_CANVAS_ERROR_DRAWING`

  Drawing operation failed.

  - Value: `1`
  - Available since: 1.0
`ASC_CANVAS_ERROR_FONT`

  Issue with font or font selection.

  - Value: `2`
  - Available since: 1.0
`ASC_CANVAS_ERROR_UNSUPPORTED`

  The requested action was not supported.

  - Value: `3`
  - Available since: 1.0

#### Type functions

###### asc_canvas_error_quark

No description available.